Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Servant_Dispatcher Class Reference

Concrete instantiation of the Servant_Dispatcher strategy. More...

`#include <Default_Servant_Dispatcher.h>`

Inheritance diagram for TAO_Default_Servant_Dispatcher:

[legend]
Collaboration diagram for TAO_Default_Servant_Dispatcher:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Default_Servant_Dispatcher (void)
void | pre_invoke_remote_request (TAO_POA &poa, CORBA::Short servant_priority, TAO_ServerRequest &req, TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state ACE_ENV_ARG_DECL)
| Pre_invoke remote request.
void | pre_invoke_collocated_request (TAO_POA &poa, CORBA::Short servant_priority, TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state ACE_ENV_ARG_DECL)
| Pre_invoke collocated request.
void | post_invoke (TAO_POA &poa, TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)
| Post_invoke request.
TAO_POA * | create_POA (const ACE_CString &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter ACE_ENV_ARG_DECL)
| Factory method for creating new POA's.

## Detailed Description

Concrete instantiation of the Servant_Dispatcher strategy.

This class just calls _dispatch on the servant_upcall. No extra processing is done or needed.

## Constructor & Destructor Documentation

TAO_Default_Servant_Dispatcher::~TAO_Default_Servant_Dispatcher | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_POA * TAO_Default_Servant_Dispatcher::create_POA | ( | const ACE_CString & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | TAO_POA * | parent,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter *object_adapter | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Factory method for creating new POA's. Implements TAO_Servant_Dispatcher.

void TAO_Default_Servant_Dispatcher::post_invoke | ( | TAO_POA & | poa,
|  | TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state
| ) | `[virtual]`

| Post_invoke request. Implements TAO_Servant_Dispatcher.

void TAO_Default_Servant_Dispatcher::pre_invoke_collocated_request | ( | TAO_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Pre_invoke collocated request. Implements TAO_Servant_Dispatcher.

void TAO_Default_Servant_Dispatcher::pre_invoke_remote_request | ( | TAO_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO_ServerRequest & | req,
|  | TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State &pre_invoke_state | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Pre_invoke remote request. Implements TAO_Servant_Dispatcher.

The documentation for this class was generated from the following files:

- Default_Servant_Dispatcher.h
- Default_Servant_Dispatcher.cpp